dbXML API

## org.dbxml.xml.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory
            |
            +--org.dbxml.xml.jaxp.DocumentBuilderFactoryImpl

public class DocumentBuilderFactoryImpl
extends javax.xml.parsers.DocumentBuilderFactory

DocumentBuilderFactoryImpl

Constructor Summary
`DocumentBuilderFactoryImpl()`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)`
`javax.xml.parsers.DocumentBuilder` `newDocumentBuilder()`
`void` `setAttribute(java.lang.String name, java.lang.Object value)`

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Overrides:
    `setAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Overrides:
    `getAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Overrides:
    `newDocumentBuilder` in class `javax.xml.parsers.DocumentBuilderFactory`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved